# Diving Into Solana

## Solana Wallet Adapter

The [Solana Wallet Adapter](https://github.com/anza-xyz/wallet-adapter) is the most common way for solana dApps to incorporate wallet connection and management. Follow the instructions on their [github](https://github.com/anza-xyz/wallet-adapter) to get started. With the Solana Wallet Adapter, the ME wallet works automatically, out of the box.

If you are interested in building a new dApp on Solana, consider checking [create-solana-dapp](https://github.com/solana-developers/create-solana-dapp) which makes use of the Solana Wallet Adapter from the jump.

## Direct Integration

You also have the option of connecting directly to the Magic Eden wallet via the provider injected into your web application. The provider is available at `window.magicEden.solana`

We'll explore this later in the docs.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-wallet.magiceden.io/solana/diving-into-solana.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
